Page MenuHomePhabricator

TechCom's Platform Architecture Principles
Closed, ResolvedPublic

Description

This is an old ticket, for the Last Call see T220657: Establish Architecture Principles as a policy!

The goal of this session is to introduce and discuss the MediaWiki Platform Architecture Principles draft that TechCom has been developing.

https://www.mediawiki.org/wiki/Wikimedia_Technical_Committee/MediaWiki_Platform_Architecture_Principles

These principles are intended to guide the Platform Evolution program, and other engineering efforts around MediaWiki and other Wikimedia technologies.

We would like to use this opportunity for "low latency" discussion of the principles we are proposing, before announcing this document as an official recommendation of TechCom.

Event Timeline

daniel created this task.May 18 2018, 8:29 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 18 2018, 8:29 AM
daniel updated the task description. (Show Details)May 18 2018, 8:33 AM
Tgr added a subscriber: Tgr.May 18 2018, 9:08 AM
Krinkle updated the task description. (Show Details)May 19 2018, 10:18 AM
Krinkle updated the task description. (Show Details)
Krinkle claimed this task.May 19 2018, 10:22 AM
Krinkle triaged this task as Normal priority.
Krinkle moved this task from Inbox to In progress on the TechCom board.
Joe added a subscriber: Joe.May 19 2018, 3:26 PM
daniel updated the task description. (Show Details)May 19 2018, 5:26 PM
Krinkle closed this task as Resolved.May 19 2018, 11:27 PM
Vvjjkkii renamed this task from TechCom's Platform Architecture Principles to 4scaaaaaaa.Jul 1 2018, 1:09 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed Krinkle as the assignee of this task.
Vvjjkkii raised the priority of this task from Normal to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii edited subscribers, added: Krinkle; removed: Aklapper.
mobrovac renamed this task from 4scaaaaaaa to TechCom's Platform Architecture Principles.Jul 1 2018, 10:51 AM
mobrovac closed this task as Resolved.
mobrovac assigned this task to Krinkle.
mobrovac lowered the priority of this task from High to Normal.
mobrovac updated the task description. (Show Details)
mobrovac removed a subscriber: Krinkle.
daniel moved this task from Inbox to Last Call on the TechCom-RFC board.Apr 11 2019, 7:15 PM
This comment was removed by daniel.

@daniel - per this comment, is there a documented definition of "official WMF tool" anywhere? Specifically, who makes that determination?

@daniel - per this comment, is there a documented definition of "official WMF tool" anywhere? Specifically, who makes that determination?

Before I respond here: we are on the wrong ticket. I pasted the wrong link. Sorry for the confusion...

Can you repeat your question on T220657: Establish Architecture Principles as a policy? I'll reply there, then.

daniel updated the task description. (Show Details)Apr 11 2019, 8:13 PM
dr0ptp4kt removed a subscriber: dr0ptp4kt.
sbassett added a comment.EditedApr 11 2019, 8:36 PM

@daniel - done.

After reading the document I do not feel encouraged to develop something... instead I am getting the feeling things are getting more burecratic and less inclusive. Especially student developers and interested hobby hacker might not be enlighted by the quite formal document.